// $Id: document_factory.h 3546 2005-04-03 08:30:29Z jz $

#ifndef __DOCUMENTFACTORY_H
#define __DOCUMENTFACTORY_H

#include "../zschimmer/zschimmer.h"
#include "../zschimmer/log.h"
#include "../zschimmer/mutex.h"
#include "../zschimmer/z_com_server.h"
#include "../zschimmer/z_sql.h"
#include "../hostole/hostole_ptr.h"


#if defined _WIN32

    //typedef Ivariables2 __missing_type__;       // Aus irgendeinem Grund find midl IVariables2 manchmal nicht und nimmt stattdessen __missing_type__. 
    //Geht nicht. Als per Hand in document_factory.tlh ersetzen

#   if defined _DEBUG
#       import "debug/document_factory.tlb"   no_namespace raw_interfaces_only named_guids
#   else
#       import "release/document_factory.tlb" no_namespace raw_interfaces_only named_guids
#   endif

#else

#   include "document_factory_odl.h"
#   include <multimap.h>

#endif

//-------------------------------------------------------------------------------------------------

using namespace std;
using namespace zschimmer;
using namespace zschimmer::com;
using namespace sos;

//-------------------------------------------------------------------------------------------------

namespace sos {
namespace document_factory {

//-------------------------------------------------------------------------------------------------

#include "standard.h"
#include "factory.h"
#include "session.h"
#include "document.h"
#include "postprocessing_order.h"
#include "template_base.h"
#include "head.h"
#include "template.h"
#include "text.h"
#include "form.h"
#include "user.h"

//-------------------------------------------------------------------------------------------------

} //namespace document_factory
} //namespace sos

#endif
