// $Id: document_factory_odl.h 3546 2005-04-03 08:30:29Z jz $

#ifndef __DOCUMENT_FACTORY_ODL__H
#define __DOCUMENT_FACTORY_ODL__H

namespace sos {
namespace document_factory {


struct Ifactory;
struct Isession;
struct Iuser;
struct Iform;
struct Itemplate;
struct Idocument;
struct Ipostprocessing_order;

//-----------------------------------------------------------------------------------------Ifactory

extern CLSID CLSID_Factory;
extern IID   IID_Ifactory;
//DEFINE_GUID( IID_Ihostware_dynobj        , 0x9F716A02, 0xD1F0, 0x11CF, 0x86, 0x9D, 0x44, 0x45, 0x53, 0x54, 0x00, 0x00 );
//DEFINE_GUID( CLSID_Dyn_obj               , 0x9F716A06, 0xD1F0, 0x11CF, 0x86, 0x9D, 0x44, 0x45, 0x53, 0x54, 0x00, 0x00 );

struct Ifactory : IDispatch
{
    friend inline const GUID& __uuidof_                 ( Ifactory* )                               { return IID_Ifactory; }
};

//-----------------------------------------------------------------------------------------Isession

extern CLSID CLSID_Session;
extern IID   IID_Isession;

struct Isession : IDispatch
{
    friend inline const GUID& __uuidof_                 ( Isession* )                               { return IID_Isession; }
};

//--------------------------------------------------------------------------------------------Iuser

extern CLSID CLSID_User;
extern IID   IID_Iuser;

struct Iuser : IDispatch
{
    friend inline const GUID& __uuidof_                 ( Iuser* )                                  { return IID_Iuser; }
};

//--------------------------------------------------------------------------------------------Iform

extern CLSID CLSID_Form;
extern IID   IID_Iform;

struct Iform : IDispatch
{
    friend inline const GUID& __uuidof_                 ( Iform* )                                  { return IID_Iform; }
};

//----------------------------------------------------------------------------------------Itemplate

extern CLSID CLSID_Template;
extern IID   IID_Itemplate;

struct Itemplate : IDispatch
{
    friend inline const GUID& __uuidof_                 ( Itemplate* )                              { return IID_Itemplate; }

    virtual HRESULT             Create_document         ( Idocument** )                             = 0;
};

//----------------------------------------------------------------------------------------Idocument

extern CLSID CLSID_Document;
extern IID   IID_Idocument;

struct Idocument : IDispatch
{
    friend inline const GUID& __uuidof_                 ( Idocument* )                              { return IID_Idocument; }
};

//----------------------------------------------------------------------------Ipostprocessing_order

extern CLSID CLSID_Postprocessing_order;
extern IID   IID_Ipostprocessing_order;

struct Ipostprocessing_order : IDispatch
{
    friend inline const GUID& __uuidof_                 ( Ipostprocessing_order* )                  { return IID_Idocument; }
};

//-------------------------------------------------------------------------------------------------

} //namespace document_factory
} //namespace sos

#endif
