// $Id: factory.h 3546 2005-04-03 08:30:29Z jz $

//------------------------------------------------------------------------------------------Factory

struct Factory : creatable_idispatch_implementation< CLSID_Factory, Factory, Ifactory >
{
    static Class_descriptor     class_descriptor;


                                Factory                     ();

    STDMETHODIMP                QueryInterface              ( const IID& iid, void** result )
    {
        HRESULT hr = Creatable_idispatch_implementation::QueryInterface( iid, result );
        //Z_LOG( "Factory.QueryInterface(" << iid << ") ==> " << string_from_hresult(hr) << "\n" );
        return hr;
    }


    STDMETHODIMP            get_Debug_state                 ( BSTR* result )                        { return String_to_bstr( "Factory", result ); }

    STDMETHODIMP            get_Configuration_path          ( BSTR* result )                        { Z_MUTEX_RETURN( document_factory_mutex, HRESULT, String_to_bstr( _configuration_path, result ) ); }

    STDMETHODIMP            put_Log_categories              ( BSTR categories );

    STDMETHODIMP            put_Db_name                     ( BSTR hostware_filename );
    STDMETHODIMP            get_Db_name                     ( BSTR* result )                        { Z_MUTEX_RETURN( document_factory_mutex, HRESULT, String_to_bstr( _db_name, result ) ); }

  //STDMETHODIMP                Open                        ()                                      { return S_OK; }
  //STDMETHODIMP                Close                       ()                                      { return S_OK; }

    STDMETHODIMP                Login                       ( BSTR unit, BSTR user, BSTR password, Isession** );


    Fill_zero                  _zero_;
    hostole::Hostware          _hostware;
    string                     _configuration_path;
    string                     _db_name;
    long                       _session_count;
};

//-------------------------------------------------------------------------------------------------
