// $Id: form.h 3546 2005-04-03 08:30:29Z jz $

//-------------------------------------------------------------------------------------------Form

struct Form : idispatch_implementation< Form, Iform >,
              registered<Form>,
              My_thread_only
{
    static Class_descriptor     class_descriptor;


                                Form                        ( Session*, const VARIANT& id_or_path );
                               ~Form                        ();

    void                        close                       ();
    string                      obj_name                    () const;
    const string&               dialog_script               ();
    const string&               forerun_script              ();
    string                      template_filename           ( bool commit = false )                 { return blob_filename( blob_nr_template_text, commit ); }
    string                      blob_filename               ( Blob_nr_code nr, bool commit = false ){ return _session->blob_filename( blob_object_template, id(), nr, "", commit ); }
    void                        flush_cache                 ();


    STDMETHODIMP            get_Debug_state                 ( BSTR* result )                        { return String_to_bstr( obj_name(), result ); }

    STDMETHODIMP                Close                       ();

    STDMETHODIMP            get_Session                     ( Isession** result )                   { *result = _session.copy();  return S_OK; }

    STDMETHODIMP            get_Id                          ( int* result )                         { Z_COM_MY_THREAD_ONLY;  *result = id();  return S_OK; }

    STDMETHODIMP            get_Path                        ( BSTR* result )                        { Z_COM_MY_THREAD_ONLY;  return String_to_bstr( _path, result ); }

  //STDMETHODIMP            get_Owner                       ( Iuser** result );

    STDMETHODIMP            get_Dialog_script               ( BSTR* result );

  //STDMETHODIMP            get_Dialog_script_object        ( Iscript_object** result );



    Fill_zero                  _zero_;
    ptr<Factory> const         _factory;
  //hostole::Hostware const    _hostware;
  //ptr<User>                  _owner;
    string                     _path;
    string                     _normalized_path;
    string                     _title;
  private:
    string                     _dialog_script;
    bool                       _dialog_script_read;
};

//-------------------------------------------------------------------------------------------------
